Pulse IntelligenceAPI Docs

Resolve options

Resolve a search term to a ranked list of id/label options for one of the platform's reference-data dropdowns (e.g. company or exchange lookups).

GET
/v1/options/{options_path}/

Authorization

apiKeyAuth
AuthorizationBearer <token>

Organization API key, format pulse_<prefix>_<secret>. Created by an organization admin in Settings -> API Keys.

In: header

Path Parameters

options_path*string

The options endpoint to resolve against, e.g. companies/options.

Query Parameters

limit?integer

Maximum number of matches to return (default 10).

query?string

The term to resolve.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/options/string/"
{  "query": "string",  "matches": [    {      "id": 0,      "label": "string"    }  ]}